/* fxLib.H                                                                  */
/* Copyright (c) Genus Microprogramming, Inc. 1988-89  All Rights Reserved. */

/****************************************************************************

  Function declarations for PCX Effects, for C.


  Microsoft C version 5.1                 Programmer: Chris Howard  3/22/89

*****************************************************************************/


/* Effects */
#define fxMINEFFECT  0
#define fxWIPE       0                      /* Wipe                        */
#define fxSPLIT      1                      /* Split                       */
#define fxCRUSH      2                      /* Crush                       */
#define fxSLIDE      3                      /* Slide                       */
#define fxSAND       4                      /* Sand                        */
#define fxDRIP       5                      /* Drip                        */
#define fxEXPLODE    6                      /* Explode                     */
#define fxDIAGONAL   7                      /* Spiral                      */
#define fxSPIRAL     8                      /* Diagonal                    */
#define fxRANDOM     9                      /* Random                      */
#define fxMAXEFFECT  9

/* Palette */
#define fxFADEOUT    1000                   /* Fade out                    */
#define fxFADEIN     1001                   /* Fade in                     */

/* Directions */
#define fxNONE       0                      /* No direction                */
#define fxLEFT       1                      /* Left                        */
#define fxRIGHT      2                      /* Right                       */
#define fxUP         4                      /* Up                          */
#define fxDOWN       8                      /* Down                        */
#define fxHORIZ      1                      /* Horizontal                  */
#define fxVERT       2                      /* Vertical                    */
#define fxOUT        1                      /* Out                         */
#define fxIN         2                      /* In                          */

/* Grain */
#define fxMINGRAIN   2                      /* Minimum grain               */
#define fxMAXGRAIN   64                     /* Maximum grain               */

/* Delay */
#define fxMINDELAY   0                      /* Minimum delay               */
#define fxMAXDELAY   500                    /* Maximum delay               */

/* Miscellaneous */
#define fxTRUE       1                      /* True                        */
#define fxFALSE      0                      /* False                       */
#define fxON         fxTRUE                 /* On                          */
#define fxOFF        fxFALSE                /* Off                         */

/* Error codes */
#define fxSUCCESS         pcxSUCCESS        /* Successful                  */
#define fxERR_ESCAPE      pcxERR_ESCAPE     /* Escape key was pressed      */
#define fxERR_CLIPPARM    pcxERR_CLIPPARM   /* Bad number of Clipper parms */
#define fxERR_BADEFFECT   -1000             /* Effect not defined/invalid  */
#define fxERR_BADGRAIN    -1001             /* Grain  not defined/invalid  */
#define fxERR_BADDELAY    -1002             /* Delay  not defined/invalid  */

/* Functions */
extern  int   far pascal  fxSetEffect          (int);
extern  int   far pascal  fxGetEffect          (void);
extern  int   far pascal  fxSetGrain           (int);
extern  int   far pascal  fxGetGrain           (void);
extern  int   far pascal  fxSetDelay           (int);
extern  int   far pascal  fxGetDelay           (void);
extern  int   far pascal  fxGetVersion         (char far *);
extern  int   far pascal  fxVirtualEffect      (long,int,int,int);

extern  int   far pascal  fxCalibrateDelay     (void);
extern  int   far pascal  fxEffectDelay        (int); 
extern  int   far pascal  fxKeyCheck           (int); 

extern  int   far pascal  fxSetSpeaker         (int); 
extern  int   far pascal  fxSetFrequency       (int); 
extern  int   far pascal  fxTone               (int,int); 
extern  int   far pascal  fxPlay               (char far *);
extern  int   far pascal  fxPlayLeft           (void);
extern  int   far pascal  fxPlayKill           (void);
extern  int   far pascal  fxPlayLoop           (int); 

extern  int   far pascal  fxPaletteCycle       (char far *,int,int,int,int);
extern  int   far pascal  fxPaletteFade        (char far *,int,int,int,int,int);

extern  int   far pascal  fxSetRand            (int);
extern  int   far pascal  fxGetRand            (int);

extern  int   far pascal  fxFileImage          (int,long far *,char far *);
extern  int   far pascal  fxLibImage           (int,long far *,char far *,char far *);
extern  int   far pascal  fxFreeImage          (long);
